Name:           kohsuke-pom
Version:        14
Release:        %mkrel 2
Group:          Development/Java
Summary:        Kohsuke parent POM

# License is specified in pom file
License:        MIT
URL:            https://github.com/kohsuke/pom
Source0:        https://github.com/kohsuke/pom/archive/pom-%{version}.tar.gz
Source1:        https://raw.github.com/kohsuke/youdebug/youdebug-1.5/LICENSE.txt

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires:  mvn(org.apache.maven.scm:maven-scm-manager-plexus)
BuildRequires:  mvn(org.apache.maven.scm:maven-scm-provider-gitexe)


%description
This package contains Kohsuke parent POM file.

%prep
%setup -q -n pom-pom-%{version}

cp %{SOURCE1} LICENSE

# we don't have these plugins and extensions
%pom_xpath_remove "pom:extension[pom:artifactId[text()='wagon-gitsite']]"
%pom_remove_plugin :nexus-staging-maven-plugin
%pom_remove_plugin :gmaven-plugin

# missing dep org.kohsuke:doxia-module-markdown
%pom_remove_plugin :maven-site-plugin

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE



%changelog
* Tue Feb 23 2016 neoclust <neoclust> 14-2.mga6
+ Revision: 977236
- First rebuild of the java stack

* Sun Dec 20 2015 zezinho <zezinho> 14-1.mga6
+ Revision: 912474
- new version

* Wed Oct 15 2014 umeabot <umeabot> 8-3.mga5
+ Revision: 741864
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri May 09 2014 dmorgan <dmorgan> 8-1.mga5
+ Revision: 621334
- imported package kohsuke-pom


* Mon Apr 14 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 8-1
- Update to upstream version 8

* Fri Feb 28 2014 Michal Srb <msrb@redhat.com> - 7-1
- Update to upstream version 7

* Thu Feb 20 2014 Michal Srb <msrb@redhat.com> - 6-2
- Fix FTBFS

* Fri Aug 09 2013 Michal Srb <msrb@redhat.com> - 6-1
- Update to upstream version 6

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Apr 30 2013 Michal Srb <msrb@redhat.com> - 5-1
- Initial package

